Summary: scheme library
Name: slib
Version: 2c4
Release: 1
Copyright: GPL
Group: Development/Languages/scheme
URL: http://www-swiss.ai.mit.edu/~jaffer/SLIB.html
Source: ftp://ftp-swiss.ai.mit.edu/pub/scm/%{name}%{version}.tar.gz
Patch: slib2c3-texi.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Prefix: /usr

%description
SLIB is a portable scheme library meant to provide compatibility and
utility functions for all standard scheme implementations.
Slib conforms to Revised^5 Report
on the Algorithmic Language Scheme and the IEEE P1178 specification.

%changelog

* Fri Nov 20 1998 W. L. Estes <wlestes@uncg.edu>
- update to 2c4

* Fri Oct 30 1998 W. L. Estes <wlestes@uncg.edu>
- update to 2c3
- patch slib.texi by removing offending @includes
- use defattr in filelist
- relocateable

* Wed Jan 21 1998 Jason Gilbert <jason@scott.net>
- updated to use a BuildRoot
- uses install-info
- changed to noarch

%prep
%setup -n %{name}
%patch -p1

%build
make slib.info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{info,share/slib},etc/profile.d}
cp -p *.scm $RPM_BUILD_ROOT/usr/share/slib
cp -p slib.info* $RPM_BUILD_ROOT/usr/info
gzip -f --name $RPM_BUILD_ROOT/usr/info/*.info*
echo 'SCHEME_LIBRARY_PATH=%prefix/share/slib/
export SCHEME_LIBRARY_PATH' \
> $RPM_BUILD_ROOT/etc/profile.d/slib.sh
chmod 755 $RPM_BUILD_ROOT/etc/profile.d/slib.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/slib.info.gz /usr/info/dir --section="Development"
. /etc/profile.d/slib.sh

%preun
if [ $1 = 0 ]; then
install-info --delete /usr/info/slib.info.gz /usr/info/dir
fi

%files
%defattr (-, root, root, 755)
%doc ANNOUNCE ChangeLog FAQ README
%doc  *.init *.pat *.sh 
/etc/profile.d/slib.sh
/usr/info/slib.info*.gz
/usr/share/slib
